--- src/port1.0/portfetch.tcl	Wed Apr 13 21:17:44 2005
+++ src/port1.0/portfetch.tcl.new	Wed Apr 13 17:36:14 2005
@@ -39,7 +39,7 @@
 target_prerun ${com.apple.fetch} fetch_start
 
 # define options: distname master_sites
-options master_sites patch_sites extract.suffix distfiles patchfiles use_zip use_bzip2 dist_subdir fetch.type cvs.module cvs.root cvs.password cvs.tag master_sites.mirror_subdir patch_sites.mirror_subdir portname
+options master_sites patch_sites extract.suffix distfiles patchfiles use_zip use_bzip2 dist_subdir fetch.type cvs.module cvs.root cvs.password cvs.date cvs.tag master_sites.mirror_subdir patch_sites.mirror_subdir portname
 # XXX we use the command framework to buy us some useful features,
 # but this is not a user-modifiable command
 commands cvs
@@ -53,6 +53,7 @@
 default cvs.dir {${workpath}}
 default cvs.module {$distname}
 default cvs.tag ""
+default cvs.date ""
 default cvs.env {CVS_PASSFILE=${workpath}/.cvspass}
 default cvs.pre_args {"-z9 -f -d ${cvs.root}"}
 default cvs.args ""
@@ -269,11 +270,15 @@
 # information in a custom .cvspass file
 proc cvsfetch {args} {
     global workpath cvs.env cvs.cmd cvs.args cvs.post_args 
-    global cvs.root cvs.tag cvs.password
+    global cvs.root cvs.date cvs.tag cvs.password
 
     set cvs.args "co ${cvs.args}"
     if {[string length ${cvs.tag}]} {
 	set cvs.args "${cvs.args} -r ${cvs.tag}"
+    }
+
+    if {[string length ${cvs.date}]} {
+	set cvs.args "${cvs.args} -D ${cvs.date}"
     }
 
     if {[regexp ^:pserver: ${cvs.root}]} {
